package com.company;

import java.util.ArrayList;
import java.util.Random;

public class Comp extends Player {
    Random r = new Random();

    @Override
    public Card chooseCardToThrow(ArrayList<Card> cards, Card card) {
        Card c = null;
        if (possibleCards.size() > 0) {
            int number = r.nextInt(getPossibleCards().size());
            c = possibleCards.get(number);
            possibleCards = null;
            getPlayerCards().remove(c);
        }
        else {
            c = randomPunishmentCard(cards);
            getPlayerCards().add(c);
            if (c instanceof Colored) {
                if (card instanceof Colored) {
                    if (!((Colored) c).checkEquality((Colored) card))
                        c = null;
                }
                else
                    c = null;
            }
        }
        return c;
    }

    public String chooseColorIfBlack(Card card){
        String s = null;
        if (card instanceof Black){
            int color = r.nextInt(4) + 1;
            switch (color){
                case 1:
                    s = "red";
                    break;
                case 2:
                    s = "green";
                    break;
                case 3:
                    s = "yellow";
                    break;
                case 4:
                    s = "blue";
                    break;
            }
        }
        return s;
    }
}
